% !TEX TS-program = XeLaTeX
% !TeX root=main.tex
%%
%%  This is file `HSU-Thesis.cls',
%%  It is a modification  of Tabriz_thesis of Vahid Damanafshan,
%%	by: Mahmood Amintoosi, m.amintoosi@gmail.com
%%  http://profs.hsu.ac.ir/mamintoosi
%%	Ver 0.1, Jan 2012

%% Original Copyright

%%  The original file was xepersian-thesis.cls by Vafa Khalighi
%%   __________________________________
%%   Copyright © 2011-2012 Vahid Damanafshan
%%  
%%   http://damanafshan.tk      
%%   http://forum.parsilatex.com
%% 
%% 
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{HSU-Thesis}
              [10/21/2014 v0.6
 Persian thesis document class in XeLaTeX for projects/theses/dissertations of Hakim Sabzevari University]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{book}}
\ProcessOptions
\LoadClass[a4paper,12pt]{book}
\def\university#1{\gdef\@university{#1}}
%\def\department#1{\gdef\@department{#1}}
\def\degree#1{\gdef\@degree{#1}}
\def\thesisdate#1{\gdef\@thesisdate{#1}}
\newcommand{\firstsupervisor}[1]{\def\@firstsupervisor{#1}}
\newcommand{\secondsupervisor}[1]{\def\@secondsupervisor{#1}}
\newcommand{\firstadvisor}[1]{\def\@firstadvisor{#1}}
\newcommand{\secondadvisor}[1]{\def\@secondadvisor{#1}}
\def\name#1{\gdef\@name{#1}}
\def\surname#1{\gdef\@surname{#1}}
\def\keywords#1{\gdef\@keywords{#1}}
\def\fa-abstract#1{\gdef\@fa-abstract{#1}}
\def\faculty#1{\gdef\@faculty{#1}}
\def\subject#1{\gdef\@subject{#1}}
\def\field#1{\gdef\@field{#1}}
%\def\department#1{\gdef\@department{#1}}
\def\projectLabel#1{\gdef\@projectLabel{#1}}
\def\studentID#1{\gdef\@studentID{#1}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\latintitle#1{\gdef\@latintitle{#1}}
\def\latinauthor#1{\gdef\@latinauthor{#1}}
\def\latindegree#1{\gdef\@latindegree{#1}}
\def\latinfaculty#1{\gdef\@latinfaculty{#1}}
\def\latinthesisdate#1{\gdef\@latinthesisdate{#1}}
\def\latinsubject#1{\gdef\@latinsubject{#1}}
\def\latinfield#1{\gdef\@latinfield{#1}}
\def\firstlatinsupervisor#1{\gdef\@firstlatinsupervisor{#1}}
\def\secondlatinsupervisor#1{\gdef\@secondlatinsupervisor{#1}}
\def\firstlatinadvisor#1{\gdef\@firstlatinadvisor{#1}}
\def\secondlatinadvisor#1{\gdef\@secondlatinadvisor{#1}}
\def\latinname#1{\gdef\@latinname{#1}}
\def\latinsurname#1{\gdef\@latinsurname{#1}}
\def\en-abstract#1{\gdef\@en-abstract{#1}}
\def\latinkeywords#1{\gdef\@latinkeywords{#1}}
\def\latinuniversity#1{\gdef\@latinuniversity{#1}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newif\if@bscthesis
\@bscthesisfalse
\DeclareOption{bsc}{\@bscthesistrue}
\newif\if@mscthesis
\@mscthesisfalse
\DeclareOption{msc}{\@mscthesistrue}
\ProcessOptions

\ifx\@projectLabel\undefined%
{
\if@mscthesis
{\projectLabel{پایان نامه}}
\else
 \if@bscthesis
 {\projectLabel{پروژه }}
 \else
{\projectLabel{رساله}}
\fi\fi
}\fi

\ifx\@degree\undefined%
{
\if@mscthesis
\degree{کارشناسی ارشد}
\else
\if@bscthesis
\degree{کارشناسی}
\else
\degree{دکتری}
\fi\fi
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand{\firstPage}{\begin{titlepage}
%\topmargin=-30pt
%\pagestyle{empty}\noindent\\ 
%% بسم الله الرحمن الرحیم
\newpage

\vspace{-10mm}
\centerline{{\includegraphics[width=3cm]{logo}}}
\par
\vspace{-5mm}
{\large\bfseries\@faculty}

\vskip 5mm
\if@bscthesis 
	{\large\bfseries{پروژه کارشناسی \@subject}
	\ifx\@field\undefined%
		\relax
	\else
		گرایش \@field
	\fi
	}
\else
	{\large\bfseries \@projectLabel\ \ \writtenfor
	\@degree{} 
	}
	{\large\bfseries{در رشته \@subject}}
	\vskip .2cm
	\centerline{\large \bfseries%
		گرایش \@field}
\fi	
\vskip 15mm
\par
{\huge\titlefont \@title}\par
\vskip 15mm
\large
{
\ifx\@firstsupervisor\undefined%
	\ifx\@secondsupervisor\undefined%
	\else
	\fi
\else
\ifx\@secondsupervisor\undefined%
استاد راهنما
{\Large\bfseries\par
\@firstsupervisor}
\else
\large
اساتید راهنما
\par
{\Large\bfseries \@firstsupervisor{} و \@secondsupervisor}
\fi\fi}
\par\large
{\ifx\@firstadvisor\undefined%
\ifx\@secondadvisor\undefined%
\else\fi
\else
\ifx\@secondadvisor\undefined%
استاد مشاور
{\Large\bfseries\par
\@firstadvisor}
\else

\large
استادان مشاور
\par
{\Large\bfseries\@firstadvisor{} و \@secondadvisor}
\fi\fi}

\vskip 1cm
پژوهشگر:
\par
{\Large\bfseries{\large\bfseries   \@name\ \ \@surname}}

\par
\vskip 6mm
%\vfill
{\large \@thesisdate}
%\vfill
\end{titlepage}%
} % end of firstPage

\newcommand{\besmPage}{
%% صفحه سفید
%\newpage
%\pagestyle{empty}\noindent\\ 
%% بسم الله الرحمن الرحیم
\newpage
%\thispagestyle{empty}
%\hfill
\begin{center}
%\includegraphics[width=4cm]{besm}

\vspace{5mm}
{\large \titlefont
سوگند نامه دانش آموختگان دانشگاه حکیم سبزواری
}
\vspace{5mm}

\begin{tabular}{lcr}
به نام خداوند جان و خرد          & &            کزین برتر اندیشه بر نگذرد
\end{tabular}


\end{center}
\vspace{5mm}
{\it
اینک که به خواست آفریدگار پاک، کوشش خویش و بهره گیری از دانش استادان و سرمایه های مادی و معنوی این مرز و بوم، توشه ای از دانش و خرد گردآورده ام، در پیشگاه خداوند بزرگ سوگند یاد می کنم که در به کارگیری دانش خویش، همواره بر راه راست ودرست گام بردارم. خداوند بزرگ، شما شاهدان، دانشجویان و دیگر حاضران را به عنوان داورانی امین گواه می گیرم که ازهمه دانش و توان خود برای گسترش مرزهای دانش بهره گیرم و از هیچ کوششی برای تبدیل جهان به جایی بهتر برای زیستن، دریغ نورزم. پیمان می بندم که همواره کرامت انسانی را در نظر داشته باشم و همنوعان خود را در هر زمان و مکان تا سر حد امکان یاری دهم. سوگند می خورم که در به کارگیری دانش خویش به کاری که با راه و رسم انسانی، آیین پرهیزگاری، شرافت و اصول اخلاقی برخاسته از ادیان بزرگ الهی، به ویژه دین مبین اسلام، مباینت دارد دست نیازم. همچنین در سایه اصول جهان شمول انسانی و اسلامی، پیمان می بندم از هیچ کوششی برای آبادانی و سرافرازی میهن و هم میهنانم فروگذاری نکنم و خداوند بزرگ را به یاری طلبم تا همواره در پیشگاه او و در برابر وجدان بیدار خویش و ملت سرافراز، بر این پیمان تا ابد استوار بمانم. 
}
\vspace{.5cm}
\begin{flushleft}
\begin{tabular}{lr}
نام و نام خانوادگی:   & 	\@name{} \@surname \\
 تاریخ و امضا: & \\
\end{tabular}
\end{flushleft}
}

%% تاییدیه هیات داوران
\newcommand{\davaranPage}{
\newpage
\setcounter{page}{1}
%\thispagestyle{empty}

\begin{center}
{\large \titlefont
                    صورتجلسه دفاع از
 \@projectLabel{} \@degree
 }
\end{center}
\vspace{.5cm}
 با تلاوت آیاتی چند ازکلام ا... مجید جلسه دفاع از پایان نامه آقای /خانم                                  \textbf{\@name{} \@surname{}}
دانشجوی رشته   \@subject{}
به شماره دانشجویی   \@studentID{}
با عنوان:

\begin{center}
\textbf{\@title{}}
\end{center}

\noindent 
در ساعت                    مورخه                   در محل دانشکده   
\@faculty{}
تشکیل گردید .
پس از استماع گزارش ارائه شده  توسط دانشجو و استاد راهنما هیات داوران و حاضران سئوالاتی را مطرح و  آقای / خانم 
\@name{} \@surname{}
                                    به دفاع از موضوع پرداخت وبه سئوالات آنها پاسخ گفت .
سپس پایان نامه توسط هیات داوران مورد ارزشیابی قرار گرفت و نمره    $\qquad$                       برابر درجه   $\qquad$
برای آن تعیین گردید .

به این ترتیب ضمن تصویب پایان نامه مزبور از این تاریخ آقای/ خانم
\@name{} \@surname{}                               به عنوان 
{\if@mscthesis
{کارشناس ارشد}
\else
\if@bscthesis
{کارشناس}
\else
{دکتر}
\fi\fi
}
 در رشته     
   \@subject{}
شناخته می شود .
}

% تأییدیه ی صحت و اصالت نتایج
\newcommand{\esalatPage}{
\newpage
%\thispagestyle{empty}
\begin{center}
{\large \titlefont
تأییدیه ی صحت و اصالت نتایج \\
 }
\vspace{.5cm}
باسمه تعالی 
\vspace{.5cm}
\end{center}
\doublespacing 
{\iranicfamily
اینجانب 
\@name \ \@surname \ 
به شماره دانشجویی 
\@studentID {}
دانشجوی رشته 
\@subject {}
مقطع تحصیلی 
\@degree {}
تأیید می نمایم که کلیه ی نتایج این \@projectLabel{} حاصل کار اینجانب و بدون هرگونه دخل و تصرف است و موارد نسخه برداری شده از آثار دیگران را با ذکر کامل مشخصات منبع ذکر کرده ام. درصورت اثبات خلاف مندرجات فوق، به تشخیص دانشگاه مطابق با ضوابط و مقررات حاکم ( قانون حمایت از حقوق مؤلفان و مصنفان و قانون ترجمه و تکثیر کتب و نشریات و آثار صوتی، ضوابط و مقررات آموزشی، پژوهشی و انضباطی ... ) با اینجانب رفتار خواهد شد و حق هرگونه اعتراض درخصوص احقاق حقوق مکتسب و تشخیص و تعیین تخلف و مجازات را از خویش سلب می نمایم. در ضمن، مسؤولیت هرگونه پاسخگویی به اشخاص اعم از حقیقی و حقوقی و مراجع ذی صلاح (اعم از اداری و قضایی) به عهده ی اینجانب خواهد بود و دانشگاه هیچ گونه مسؤولیتی در این خصوص نخواهد داشت.
}
\vspace{.5cm}
\begin{flushleft}
\begin{tabular}{lr}
نام و نام خانوادگی:   & 	\@name{} \@surname \\
 تاریخ و امضا: & \\
\end{tabular}
\end{flushleft}
}

% مجوز بهره برداری از پایان نامه
\newcommand{\mojavezPage}
{
\newpage
%\thispagestyle{empty}
\begin{center}
{\large \titlefont
مجوز بهره برداری از پایان نامه \\
 }
\vspace{.5cm}
\end{center}
\doublespacing 

بهره برداری از این پایان نامه در چهارچوب مقررات کتابخانه و با توجه به محدودیتی که توسط استاد راهنما به شرح زیر تعیین می شود، بلامانع است:

\noindent$\Box$ بهره برداری از این پایان نامه برای همگان بلامانع است.\\
$\Box$ بهره برداری از این پایان نامه با اخذ مجوز از استاد راهنما، بلامانع است.\\
$\Box$ بهره برداری از این پایان نامه تا تاریخ .................................... ممنوع است.\\

\vspace{.5cm}
\begin{flushleft}
\begin{tabular}{l p{.25\textwidth}}
% چون & در ماکروی دخل جدول مشکل ایجاد می کرد مجبور شدم دو تیکه بنویسم
\ifx\@firstsupervisor\undefined%
	\relax
\else
	\ifx\@secondsupervisor\undefined%
		استاد راهنما:
	\else
		اساتید راهنما: 
	\fi
\fi
&
\ifx\@firstsupervisor\undefined%
	\relax
\else
	\ifx\@secondsupervisor\undefined%
		\@firstsupervisor
	\else
		\@firstsupervisor{} \newline \@secondsupervisor
	\fi
\fi \\
  تاریخ: & \\
	 امضا: &\\
\end{tabular}
\end{flushleft}
}

% \def\frame{\newpage
% \thispagestyle{empty}
% \begin{framed}\thispagestyle{empty}}
% \def\endframe{\thispagestyle{empty}\end{framed}
% \thispagestyle{empty}
% \newpage
% }

\newcommand{\abstractPage}{
\begin{center}
\begin{tabularx}{1.05\textwidth}{||X|X|X||}
\hhline{|t:==t:=:t|}
\multicolumn{2}{||c}{
\begin{tabular}[x]{@{}c@{}}\large فرم چکیده ی پایان نامه ی دوره ی تحصیلات تکمیلی \\
مدیریت تحصیلات تکمیلی\end{tabular}
}&
\multicolumn{1}{l||}{\pbox{20cm}{\vspace{2mm}\includegraphics[width=.15\textwidth]{logo}}}
   \\
\hhline{|:==|=:|}
نام خانوادگی دانشجو:\@surname &
  نام:\@name  & 
    ش. دانشجویی:\@studentID \\ 
\hhline{||--|-||}
\multicolumn{3}{||r||}
{\ifx\@firstsupervisor\undefined%
	\ifx\@secondsupervisor\undefined%
	\else
	\fi
\else
\ifx\@secondsupervisor\undefined%
{استاد راهنما: \@firstsupervisor}
\else
{استادان راهنما: \@firstsupervisor{} و \@secondsupervisor}
\fi\fi}
\\
\hhline{||--|-||}  
\multicolumn{3}{||r||}
 {\ifx\@firstadvisor\undefined%
\ifx\@secondadvisor\undefined%
\else\fi
\else
\ifx\@secondadvisor\undefined%
{استاد مشاور: \@firstadvisor}
\else
{استادان مشاور: \@firstadvisor{} و \@secondadvisor}
\fi\fi}
    \\
\hhline{||--|-||}
\@faculty &  رشته: \@subject & گرایش:\@field \\
\hhline{||--|-||}
مقطع:
 \if@mscthesis
کارشناسی ارشد
\else
دکتری
\fi
&
 تاریخ دفاع:\@thesisdate & 
تعداد صفحات:
 \pageref{LastPage}
\\
\hhline{||--|-||}    
\multicolumn{3}{||r||}{\pbox{\textwidth}{عنوان پایان نامه: \@title }}  \\
\hhline{||--|-||}
\multicolumn{3}{||r||}{\pbox{\textwidth}{کلید واژه ها:\@keywords}}  \\
\hhline{||--|-||}
\multicolumn{3}{||r||}{\pbox{\textwidth}{\vspace{2mm} چکیده: \@fa-abstract} }  \\
\hhline{|b:==b:=:b|}
\end{tabularx}
\end{center}
}

% \def\latinabstract{\newpage
% \thispagestyle{empty}
% \vskip 15mm
% \begin{center}%{\Large\bfseries \@latintitle \\[5mm]}
% {\bfseries Abstract}
% \end{center}
% \vspace{5mm}}

% \def\endlatinabstract{\newpage}

\def\acknowledgementpage{\newpage
\thispagestyle{empty}
\centerline{\Large \bfseries قدردانی}
\vspace{1cm}
\par\noindent}
\def\endacknowledgementpage{\newpage}

\def\titlepage{\newpage\centering
  \thispagestyle{empty}
  \parindent 0pt \parskip 10pt plus 1fil minus 1fil
  \def\baselinestretch{1}\@normalsize\vbox to \vsize\bgroup\vbox to 9in\bgroup}
\def\endtitlepage{\par\kern 0pt\egroup\vss\egroup\newpage}

\def\signature{\vspace{1cm}
\begin{flushleft}
{%\nastaliq \scriptsize 
\@name\ \@surname \\
\@thesisdate}
\end{flushleft}}

% \def\abstract{
% \newpage
% \subsection*{چکیده}\small
% \@normalsize
% \@fa-abstract
% }
% \def\endabstract{\par}

%\pagenumbering{harfi}
%\let\ol@chapter\@chapter
%\def\@chapter{%
%  \ifnum\c@chapter=0 \pagenumbering{arabic}\setcounter{page}{1}\fi
%  \ol@chapter}

%\font\latintitlefont=cmssbx10 scaled 2300 %cmssbx10 scaled 2300
\font\supervisorfont=cmbxti10

\newcommand{\enAbstractPage}{
\thispagestyle{empty}
\begin{latin}
\begin{center}
\begin{tabularx}{1.05\textwidth}{||X|X|X||}
\hhline{|t:==t:=:t|}
\multicolumn{2}{||c}{
\begin{tabular}[x]{@{}c@{}}\large Hakim Sabzevari University \\
An Outline of 
 \if@mscthesis
MSc.
\else
Ph.D.
\fi
 Thesis
\end{tabular}
}&
\multicolumn{1}{l||}{\pbox{20cm}{\vspace{2mm}\includegraphics[width=.15\textwidth]{logo}}}
   \\
\hhline{|:==|=:|}
Surname:\@latinsurname &
Name:\@latinname  & 
Student No.:\@studentID \\ 
\hhline{||--|-||}
\multicolumn{3}{||l||}
{\ifx\@firstlatinsupervisor\undefined%
	\ifx\@secondlatinsupervisor\undefined%
	\else
	\fi
\else
\ifx\@secondlatinsupervisor\undefined%
{Supervisor: \@firstlatinsupervisor}
\else
{Supervisors: \@firstlatinsupervisor{} and \@secondlatinsupervisor}
\fi\fi}
\\
\hhline{||--|-||}  
\multicolumn{3}{||l||}
 {\ifx\@firstlatinadvisor\undefined%
\ifx\@secondlatinadvisor\undefined%
\else\fi
\else
\ifx\@secondlatinadvisor\undefined%
{Advisor: \@firstlatinadvisor}
\else
{Advisors: \@firstlatinadvisor{} and \@secondlatinadvisor}
\fi\fi}
    \\
\hhline{||--|-||}
%\vspace{-1mm} 
\@latinfaculty & \pbox{.3\textwidth}{%\vspace{2mm} 
\@latinsubject} & 
\pbox{.3\textwidth}{%\vspace{2mm} Field of study:\\
 \@latinfield} \\
\hhline{||--|-||}
% \if@mscthesis
%Master of Science
%\else
%Doctor of Philosophy
%\fi
%&
% تاریخ دفاع:\@thesisdate & 
%تعداد صفحات: \pageref{LastPage}
%\\
%\hhline{||--|-||}    
\multicolumn{3}{||l||}{\pbox{\textwidth}{Title of thesis: \@latintitle }}  \\
\hhline{||--|-||}
\multicolumn{3}{||l||}{\pbox{\textwidth}{Keywords:\@latinkeywords}}  \\
\hhline{||--|-||}
\multicolumn{3}{||l||}{\pbox{\textwidth}{\vspace{2mm} Abstract: \@en-abstract}}  \\
\hhline{|b:==b:=:b|}
\end{tabularx}
\end{center}
\end{latin}
}


\newcommand{\latinfirstPage}{%
% \newpage\clearpage
% \thispagestyle{empty}
% \vskip 15mm
% {\noindent\bfseries Abstract:}
% \vspace{5mm}
% \par
% \noindent
% \@en-abstract
% \vspace{8mm}
% \par
% \noindent
% \textbf{Keywords:} 
% \@latinkeywords
\enAbstractPage

\begin{titlepage}
\vspace{-10mm}
{\includegraphics[width=3cm]{logo}}
\centerline{\large\bf \@latinuniversity} 
\large\bfseries
\@latinfaculty\space 
\vskip 1cm
{
\large
\if@bscthesis 
    Bachelor of Science Thesis
	in  \@latinsubject 
\else
	A Thesis Submitted in Partial Fulfillment of the Requirement for the Degree of 
	 \if@mscthesis
	Master of Science
	\else
	 Doctor of Philosophy
	\fi
	in  \@latinsubject 
	%\baselineskip=.750cm
	%\addtolength{\baselineskip}{-5mm}
\fi
}
\vskip 15mm
{%\latintitlefont 
\Huge
\@latintitle}
%\baselineskip=.750cm \par
\vskip 15mm

\large
{\ifx\@firstlatinsupervisor\undefined%
\ifx\@secondlatinsupervisor\undefined%
\else\fi
\else
\ifx\@secondlatinsupervisor\undefined%
Supervisor:
{\Large\bfseries\par
\@firstlatinsupervisor}
\else
\large
Supervisors:
\par
{\Large\bfseries \@firstlatinsupervisor{} and \@secondlatinsupervisor}
\fi\fi}
\par
\large
{\ifx\@firstlatinadvisor\undefined%
\ifx\@secondlatinadvisor\undefined%
\else\fi
\else
\ifx\@secondlatinadvisor\undefined%
Advisor:
{\Large\bfseries\par
\@firstlatinadvisor}
\else

\large
Advisors:
\par
{\Large\bfseries\@firstlatinadvisor{} and \@secondlatinadvisor}
\fi\fi}
\vskip 15mm

{\bfseries\latinby}\par
{\large %\supervisorfont
\rm\@latinname \; \@latinsurname}\par

%\vskip 15mm

\par
\vskip 1cm

{\@latinthesisdate}
\par
\vskip 1cm

\par

\vfill
%
\end{titlepage}
\fi}

\def\onvan{عنوان}
\def\writtenfor{برای دریافت درجه }
\def\by{پژوهشگر}
\def\latinby{By:}
\def\cleardoublepage{\clearpage\if@twoside \ifodd\c@page\else
\hbox{}
\thispagestyle{empty}
\newpage
\if@twocolumn\hbox{}\newpage\fi\fi\fi}

%% M.Amintoosi
%% 
%% Copyright © 2011-2012      by Vahid Damanafshan     
%% 
%% Distributable under the LaTeX Project Public License,
%% version 1.3c or higher (your choice). The latest version of
%% this license is at: http://www.latex-project.org/lppl.txt
%% 
%% This work is "maintained" (as per LPPL maintenance status)
%%  by Vahid Damanafshan.
%% 
%% 
%% 
%% 
%% Special thanks to Vafa Khalighi for his invaluable hints.
%%
%% End of file `HSU-Thesis.cls'.
